## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/Aetf/libtsm
%global commit   69922bde02c7af83b4d48a414cc6036af7388626

%forgemeta

Name: 		 libtsm
Version: 	 4.1.0
Release: 	 %autorelease
Summary: 	 Terminal-emulator State Machine
License: 	 MIT
URL:	         %{forgeurl}
Source:          %{forgesource}

# Fix versioning - new members were added to upstream's develop tree,
# but haven't been tagged yet!
Patch: 0001-Bump-version-to-4.1.0.patch

BuildRequires:   gcc
BuildRequires:   cmake
BuildRequires:   libxkbcommon-devel

%description
TSM is a state machine for DEC VT100-VT520 compatible terminal emulators.
It tries to support all common standards while keeping compatibility to
existing emulators like xterm, gnome-terminal, konsole...

%package         devel
Summary:         Development files for %{name}
Requires:        cmake-filesystem
Requires:        pkgconfig
Requires:        %{name}%{?_isa} = %{version}-%{release}

%description     devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_libdir}/libtsm.so.4
%{_libdir}/libtsm.so.4.1.0

%files devel
%{_includedir}/libtsm.h
%{_libdir}/libtsm.so
%global cmakeinstalldir %{_libdir}/cmake/libtsm
%cmakeinstalldir/libtsm-config-version.cmake
%cmakeinstalldir/libtsm-config.cmake
%cmakeinstalldir/libtsm-targets-debug.cmake
%cmakeinstalldir/libtsm-targets.cmake
%{_libdir}/pkgconfig/libtsm.pc

%changelog
## START: Generated by rpmautospec
* Sun May 19 2024 José Relvas <jrelvas@proton.me> - 4.1.0-1
- Bump version to 4.1.0

* Sun May 19 2024 José Relvas <jrelvas@proton.me> - 4.0.2-3
- Update to current develop git branch HEAD Commit:
  69922bde02c7af83b4d48a414cc6036af7388626

* Sun May 19 2024 José Relvas <jrelvas@proton.me> - 4.0.2-2
- Convert to forge source

* Sat May 18 2024 José Relvas <jrelvas@proton.me> - 4.0.2-1
- Initial Package.
## END: Generated by rpmautospec
